<%
    // controller construct
    if (viaService) {
        beans.push({class: 'AnnouncementRecordService', instance: 'announcementRecordService'});
        if (databaseTypeSql) {
            beans.push({class: 'AnnouncementRecordQueryService', instance: 'announcementRecordQueryService'});
        }

    } else {
    // service construct
        if (databaseTypeSql) {
            beans.push({class: 'UserQueryService', instance: 'userQueryService'});
        }
        beans.push({class: 'AnnouncementRecordRepository', instance: 'announcementRecordRepository'});
        if (databaseTypeMongodb) {
            beans.push({class: 'UserService', instance: 'userService'});
        }

    }
%>
